Bug 132149 - Web Inspector: CodeMirror 4 CSS mode new state data structure breaks helpers.
Summary: Web Inspector: CodeMirror 4 CSS mode new state data structure breaks helpers.
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: Web Inspector (show other bugs)
Version: 528+ (Nightly build)
Hardware: All All
: P2 Normal
Assignee: Nobody
URL:
Keywords: InRadar
Depends on:
Blocks:
 
Reported: 2014-04-24 15:20 PDT by Jonathan Wells
Modified: 2014-05-02 09:04 PDT (History)
5 users (show)

See Also:


Attachments
[PATCH] Proposed Fix: Change to CodeMirror controllers and additions. (20.09 KB, patch)
2014-05-01 19:31 PDT, Jonathan Wells
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Jonathan Wells 2014-04-24 15:20:11 PDT
CSS mode has done away with state.stack to track the mode hierarchy and instead uses a linked object structure. Pretty Printing and other CodeMirror helpers/addons are broken as a result and need to be updated for the new structure.
Comment 1 Radar WebKit Bug Importer 2014-04-24 15:21:06 PDT
<rdar://problem/16718309>
Comment 2 Jonathan Wells 2014-05-01 19:31:00 PDT
Created attachment 230645 [details]
[PATCH] Proposed Fix: Change to CodeMirror controllers and additions.

Carefully went through and changed references to tokens and states appropriately.
Comment 3 Timothy Hatcher 2014-05-01 19:53:05 PDT
Looks good to me. I'd like Joe to take a look too.
Comment 4 Joseph Pecoraro 2014-05-02 08:33:33 PDT
Comment on attachment 230645 [details]
[PATCH] Proposed Fix: Change to CodeMirror controllers and additions.

Looks good to me
Comment 5 WebKit Commit Bot 2014-05-02 09:04:38 PDT
Comment on attachment 230645 [details]
[PATCH] Proposed Fix: Change to CodeMirror controllers and additions.

Clearing flags on attachment: 230645

Committed r168170: <http://trac.webkit.org/changeset/168170>
Comment 6 WebKit Commit Bot 2014-05-02 09:04:41 PDT
All reviewed patches have been landed.  Closing bug.